Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class VerifyEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.KeyEvent
                  org.eclipse.swt.events.VerifyEvent

public final class VerifyEvent
extends KeyEvent

Instances of this class are sent as a result of text being modified.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

See Also:
  `VerifyListener`, Serialized Form

Field Summary
`int` `end` the range of text being modified.
`int` `start` the range of text being modified.
`java.lang.String` `text` the new text that will be inserted.
`static int` `VERIFY_TEXT`

Fields inherited from class org.eclipse.swt.events.KeyEvent
`character, doit, KEY_PRESSED, KEY_RELEASED, keyCode, stateMask`

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`VerifyEvent(Control source)` Constructs a new instance of this class.
`VerifyEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.

Method Summary
`static void` `addListener(Adaptable adaptable, VerifyListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(java.lang.Object listener)`
`static java.lang.Object[]` `getListeners(Adaptable adaptable)`
`protected java.lang.Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, VerifyListener listener)`
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class org.eclipse.swt.events.KeyEvent
`addListener, removeListener`

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, processScheduledEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERIFY_TEXT

    public static final int VERIFY_TEXT

See Also:
  Constant Field Values

### text

    public java.lang.String text

  the new text that will be inserted. Setting this field will change the text that is about to be inserted or deleted.

### start

    public int start

  the range of text being modified. Setting these fields has no effect.

### end

    public int end

  the range of text being modified. Setting these fields has no effect.

Constructor Detail

### VerifyEvent

    public VerifyEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information

### VerifyEvent

    public VerifyEvent(Control source)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(java.lang.Object listener)

  Overrides:
    `dispatchToObserver` in class `KeyEvent`

### getListenerType

    protected java.lang.Class getListenerType()

  Overrides:
    `getListenerType` in class `KeyEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `KeyEvent`

### addListener

    public static void addListener(Adaptable adaptable,
                                   VerifyListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      VerifyListener listener)

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### getListeners

    public static java.lang.Object[] getListeners(Adaptable adaptable)

### toString

    public java.lang.String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `KeyEvent`
  Returns:
    a string representation of the event

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.